package com.bomostory.sceneeditmodule.screen.movie

import android.graphics.Bitmap
import android.media.*
import android.util.Log
import java.io.File
import java.io.IOException
import java.lang.Exception

interface MovieEncoder {

    fun setVideoDimension(width: Int, height: Int)

    fun prepare(file: File, fps: Int)

    fun start()

    fun finish()

    fun addFrame(bitmap: Bitmap, repeat: Long)
}