package com.bomostory.sceneeditmodule.navigationbar.brush

import android.content.Context
import android.support.v4.content.ContextCompat
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.LinearLayout
import android.widget.SeekBar
import com.bomostory.sceneeditmodule.DialogueColorData
import com.bomostory.sceneeditmodule.basicdata.Brush
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.scene_brush_view.view.*

class BrushView : LinearLayout {
    var listener: OnSelectBrush? = null
    var brush: Brush? = null
    constructor(context: Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle) {
        initView()
    }

    private fun initView() {
        LayoutInflater.from(context).inflate(R.layout.scene_brush_view, this, true)
        setColor1()
        setBrush1()
    }

    fun initColorState(){
        iv_brush_view_color1.background = null
        iv_brush_view_color2.background = null
        iv_brush_view_color3.background = null
        iv_brush_view_color4.background = null
        iv_brush_view_color5.background = null
        iv_brush_view_color6.background = null
        iv_brush_view_color7.background = null
        iv_brush_view_color8.background = null
        iv_brush_view_color9.background = null
        iv_brush_view_color10.background = null
    }

    fun setColor1(){
        initColorState()
        iv_brush_view_color1.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor2(){
        initColorState()
        iv_brush_view_color2.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor3(){
        initColorState()
        iv_brush_view_color3.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor4(){
        initColorState()
        iv_brush_view_color4.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor5(){
        initColorState()
        iv_brush_view_color5.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor6(){
        initColorState()
        iv_brush_view_color6.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor7(){
        initColorState()
        iv_brush_view_color7.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor8(){
        initColorState()
        iv_brush_view_color8.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    fun setColor9(){
        initColorState()
        iv_brush_view_color9.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }
    fun setColor10(){
        initColorState()
        iv_brush_view_color10.background = ContextCompat.getDrawable(context, R.drawable.btn_edit_text_dialog_circle_selected)
    }

    private fun initBrushState(){
        iv_brush_view_brush1.alpha = 0.7f
        iv_brush_view_brush2.alpha = 0.7f
        iv_brush_view_brush3.alpha = 0.7f
        iv_brush_view_brush4.alpha = 0.7f
        iv_brush_view_brush5.alpha = 0.7f
    }

    fun setBrush1(){
        initBrushState()
        iv_brush_view_brush1.alpha = 1.0f
    }

    fun setBrush2(){
        initBrushState()
        iv_brush_view_brush2.alpha = 1.0f
    }

    fun setBrush3(){
        initBrushState()
        iv_brush_view_brush3.alpha = 1.0f
    }

    fun setBrush4(){
        initBrushState()
        iv_brush_view_brush4.alpha = 1.0f
    }

    fun setBrush5(){
        initBrushState()
        iv_brush_view_brush5.alpha = 1.0f
    }

    interface OnSelectBrush{
        fun onSelectBrush(brush: Brush?)
    }
}